Package groovy.swing.model

# Class DefaultTableModel.MyTableColumnModel

java.lang.Object
javax.swing.table.DefaultTableColumnModel
groovy.swing.model.DefaultTableModel.MyTableColumnModel

All Implemented Interfaces:
  `java.beans.PropertyChangeListener`, `java.io.Serializable`, `java.util.EventListener`, `javax.swing.event.ListSelectionListener`, `javax.swing.table.TableColumnModel`

Enclosing class:
  DefaultTableModel

    protected static class DefaultTableModel.MyTableColumnModel
    extends javax.swing.table.DefaultTableColumnModel

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.table.DefaultTableColumnModel

  `changeEvent, columnMargin, columnSelectionAllowed, listenerList, selectionModel, tableColumns, totalColumnWidth`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `MyTableColumnModel()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List` | `getColumnList()` |
  `void` | `moveColumn​(int columnIndex, int newIndex)` |
  `void` | `removeColumn​(javax.swing.table.TableColumn column)` |
  `void` | `renumberTableColumns()` |

  ### Methods inherited from class javax.swing.table.DefaultTableColumnModel

  `addColumn, addColumnModelListener, createSelectionModel, fireColumnAdded, fireColumnMarginChanged, fireColumnMoved, fireColumnRemoved, fireColumnSelectionChanged, getColumn, getColumnCount, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnModelListeners, getColumns, getColumnSelectionAllowed, getListeners, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, propertyChange, recalcWidthCache, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, valueChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MyTableColumnModel

    protected MyTableColumnModel()

- ## Method Details

  - ### getColumnList

    public java.util.List getColumnList()

  - ### removeColumn

    public void removeColumn​(javax.swing.table.TableColumn column)
    Specified by:
      `removeColumn` in interface `javax.swing.table.TableColumnModel`
    Overrides:
      `removeColumn` in class `javax.swing.table.DefaultTableColumnModel`

  - ### moveColumn

    public void moveColumn​(int columnIndex, int newIndex)
    Specified by:
      `moveColumn` in interface `javax.swing.table.TableColumnModel`
    Overrides:
      `moveColumn` in class `javax.swing.table.DefaultTableColumnModel`

  - ### renumberTableColumns

    public void renumberTableColumns()